declare type ToastType = 'loading' | 'success' | 'fail' | 'info';
export declare type ToastProps = {
    content: string;
    type: ToastType;
    mask?: boolean;
};
export default class Toast {
    private static TOAST_LIST;
    private static show;
    /**
     *
     * @param content {string} 内容
     * @param mask {boolean} 是否显示蒙层
     * @returns
     */
    static loading(content: string, mask?: boolean): void;
    /**
     *
     * @param key {number} Toast.loading的返回值
     */
    static hideLoading(): void;
    /**
     *
     * @param content {string} 内容
     * @param duration {number} 展示时间，默认3000ms
     * @param mask {boolean} 是否显示蒙层
     */
    static success(content: string, duration?: number, mask?: boolean): void;
    /**
     *
     * @param content {string} 内容
     * @param duration {number} 展示时间，默认3000ms
     * @param mask {boolean} 是否显示蒙层
     */
    static fail(content: string, duration?: number, mask?: boolean): void;
    /**
     *
     * @param content {string} 内容
     * @param duration {number} 展示时间，默认3000ms
     * @param mask {boolean} 是否显示蒙层
     */
    static info(content: string, duration?: number, mask?: boolean): void;
}
export {};
