import React from 'react';
import { View } from 'react-native';
import SvgUri from '../../lib/react-native-svg-uri';
import svgs from '../../assets/svg';
import Touchable from '../Touchable';
const Icon = props => {
    const { name, color = '#666', size = 20, style = {}, onPress } = props;
    let svgXmlData = svgs[name];
    if (!svgXmlData) {
        throw new Error(`No Icon Named ${name} Was Found!`);
    }
    const sizeStyle = {
        width: size,
        height: size,
    };
    const wrapper = (elem) => {
        if (onPress) {
            return (React.createElement(Touchable, { onPress: onPress, style: [sizeStyle, style] }, elem));
        }
        return React.createElement(View, { style: [sizeStyle, style] }, elem);
    };
    return wrapper(React.createElement(SvgUri, { width: size, height: size, svgXmlData: svgXmlData, fill: color }));
};
export default Icon;
